/*
*******************************************
Objekt Info: Batterie Case fuer
             das Blinkende Herz
             Batterie CR2032
             Anschluesse mit CU-Band

*******************************************
Version: 24.09.2021 khf
*******************************************
*/           

//***************   Auswahl   *************

// keine

//*****************************************

//***************   Libraries  ************

include <lib/std.scad>

//*****************************************

//***************  Parmeter   *************
n1="CR2032 +"; //Name
n2="CR2032 -"; //Name
//*****************************************

//**************   Programm  **************


difference(){
cuboid(
    [27,12,15], rounding=2,
    edges=[
    TOP+FRONT,
    TOP+BACK,
    TOP+LEFT,
    TOP+RIGHT,
    FRONT+RIGHT,
    FRONT+LEFT, 
    BACK+LEFT,
    BACK+RIGHT    
    ],
    $fn=60
    );
translate([-10.4,-3.2,-9])
cube([20.8,6.5,15]);
    
    color("SlateGray")
rotate([90,180,0])
translate([-11, -3.5,5])
linear_extrude(2)
text(n1,  font = "Arial", size = 3);


    color("SlateGray")
rotate([-90,0,0])
translate([-11, -3.5,5])
linear_extrude(2)
text(n2,  font = "Arial", size = 3);


}



